import React from 'react'
import { BrowserRouter as Router, Routes , Route } from 'react-router-dom';
import About from './comps/about';
import Gallery from './comps/gallery';
import Home from './comps/home';
import Layout from './comps/layout';
import Page404 from './comps/page404';

export default function AppRoutes(props) {
  return (
    <Router>
      <Routes>
        <Route path="/" element={<Layout />}>
          <Route index element={ <Home />} />
          <Route path="/about" element={<About/>} />
          <Route path="/gallery" element={<Gallery/>} />
          <Route path="/*" element={<Page404 />} />
        </Route>
      </Routes>
    </Router>
  )
}
